#include <stdlib.h>
#include <xvt.h>

#include <checks.h>

#include "ve6.h"                        // dichiarazioni delle procedure

#define usage "Errore - Utilizzo: %s -{1|2|3}"

int main( int argc, char** argv )
{
  int rt = -1;
  const int r = (argc > 1) ? atoi( &argv[1][1] ) : -1;

  switch (r)
  {
  case 1:
    rt = ve6100( argc, argv );          // contabilizzazione documenti
    break;
  case 2:
    rt = ve6200 (argc, argv);           // creazione fatture partendo da bolle
    break;
  case 3:
    rt = ve6300 (argc, argv);           // generazione effetti
    break;
  default:
    error_box( usage, argv[0] );
    break;
  }
  return rt;
}
